現在的 Gitlab 版本已達到 11.0.2,我的仍在 10.1.4

當我要 yum update gitlab-ce 時,它卻說

Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
gitlab-ce-11.0.2-ce.0.el7.x86_64.rpm                                                                                                                                                                        | 416 MB  00:00:43     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
gitlab preinstall: It seems you are upgrading from 10.x version series
gitlab preinstall: to 11.x series. It is recommended to upgrade
gitlab preinstall: to the last minor version in a major version series first before
gitlab preinstall: jumping to the next major version.
gitlab preinstall: Please follow the upgrade documentation at https://docs.gitlab.com/ee/policy/maintenance.html#upgrade-recommendations
gitlab preinstall: and upgrade to 10.8 first.
error: %pre(gitlab-ce-11.0.2-ce.0.el7.x86_64) scriptlet failed, exit status 1
Error in PREIN scriptlet in rpm package gitlab-ce-11.0.2-ce.0.el7.x86_64
gitlab-ce-10.1.4-ce.0.el7.x86_64 was supposed to be removed but is not!
  Verifying  : gitlab-ce-10.1.4-ce.0.el7.x86_64                                                                                                                                                                                1/2 
  Verifying  : gitlab-ce-11.0.2-ce.0.el7.x86_64                                                                                                                                                                                2/2 

Failed:
  gitlab-ce.x86_64 0:10.1.4-ce.0.el7                                                                               gitlab-ce.x86_64 0:11.0.2-ce.0.el7                                                                              

Complete!

所以更新失敗

我就一個一個升級上去試試

查看 10 版最新版號是多少

yum list gitlab-ce-10*

就先升到它

yum update gitlab-ce-10.8.5

再升到 11.0.2 就成功了

yum update gitlab-ce
最後修改日期: 2018 年 07 月 01 日

作者

留言

撰寫回覆或留言

發佈留言必須填寫的電子郵件地址不會公開。